import static java.lang.System.out;

public class DemoFinally {

    public static void main(String args[]) {
        try {
            doSomething();
        } catch (Exception e) {
            out.println("Исключение перехвачено в main.");
        }
    }

    static void doSomething() {
        try {
            out.println(0 / 0);
        } catch (Exception e) {
            out.println("Исключение перехвачено в doSomething.");
            out.println(0 / 0);
        } finally {
            out.println("Выведено в блоке finally.");
        }

        out.println("Это сообщение не будет выведено.");
    }
}
